package cn.org.spring.wechar.bean.message.template;

import com.alibaba.fastjson.JSON;
import lombok.Builder;
import lombok.Getter;

import java.io.Serializable;

/**
 * 模版消息发送对象
 */
@Builder
@Getter
public class TemplateMessage implements Serializable {
    /**
     * 接收者openid
     */
    private final String touser;
    /**
     * 模版ID
     */
    private final String template_id;
    /**
     * 跳转URL
     */
    private final String url;
    /**
     * 模板数据
     */
    private final TemplateDate data;


    public String toJson() {
        return JSON.toJSONString(this);
    }

}