package cn.org.spring.wechar.entity;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author： 谢辉
 * @date： 2021/5/8
 * @email: xieh_mail@163.com
 * @description：微信用户实体类
 * @modifiedBy：
 * @version: 1.0
 */
@Data
@ToString
public class WeChatUser implements Serializable {
    // {"openid":"osG326UTvrIEy-57H90qU8bCgMto","nickname":"图图小淘气","sex":1,"language":"zh_CN","city":"信阳","province":"河南","country":"中国","headimgurl":"https:\/\/thirdwx.qlogo.cn\/mmopen\/vi_32\/kZea3GicvQjQ9HsoQ1P0FMlUjecp9ZVria0Q3aojHt8yXXvz2IFAKp8icslYnzvxs0J6iaoNTrsicUo4NLDmNcCqBEw\/132","privilege":[]}
    private String openid;
    private  String nickname;
    private Integer sex;
    private String language;
    private String city;
    private String province;
    private String country;
    private String headimgurl;

}
